namespace Telerik.Web.Mvc.Examples.Models
{
    using System;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;

    public class EditableProduct
    {
        public int ProductID
        {
            get;
            set;
        }

        [DisplayName("Product name:")]
        public string ProductName
        {
            get;
            set;
        }

        [DisplayName("Units in stock:")]
        [DataType("Integer")]
        public int UnitsInStock
        {
            get;
            set;
        }

        [DisplayName("Unit price:")]
        [DataType(DataType.Currency)]
        public decimal UnitPrice
        {
            get;
            set;
        }

        [DisplayName("Last supply:")]
        [DataType(DataType.Date)]
        public DateTime LastSupply
        {
            get;
            set;
        }
    }
}